Subject: Re: reproducible cxgb kernel panic in FC8 kernel 2.6.23.1-49

From: Ben Greear <[email-masked]>
Date: Mon, 19 Nov 2007 18:22:23 -0800

Divy Le Ray wrote:
> Ben Greear wrote:
>> This panic happens (almost?) immediately after starting TCP traffic 
>> between
>> the cxgb nic on this system and another.  We also got at least one crash
>> on a custom/tainted 2.6.20.12 kernel, but it would run for at least
>> a few minutes at ~1Gbps first.
>>
>> I think my serial console chomped some of this..but it's very 
>> reproducible,
>> so if you need more info I can make the terminal wider and do it again.
>>
> Hi Ben,
> 
> I just posted a patch fixing this T2 crash. It appeared in 2.6.22, when 
> eth_type_trans()
> was modified to set skb->dev. cxgb3 got fixed at the time, but I 
> obviously forgot the
> chelsio driver. I'm a bit behind on T2 updates. I will get to it in a 
> few days.

Thanks, that seems to have fixed the crash.

A few other bugs to report:

1)  tx/rx pkt counters remain an zero, even though I know it is passing packets.

2)  There are lots of errors about inadequate headroom in Tx.  I had TCP working
at one point, but then it stopped answering ARP for whatever reason.   Never
got UDP to work at all, even when TCP was working.

3)  After resetting the interface (ifdown, ifup), one machine suddenly had a BUG
(null pointer exception) and rebooted.  The listing in /var/log/messages is not
complete (has no stack-trace or module), so I do not include it here.

This 2.6.23 kernel is patched with some of my own hackings, and it's possible that
my changes are causing the problem (but, it works fine with e1000 NICs).

If you have any patches you would like us to try, we'll be happy to do so.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com